
include "SleepMod_UnitCommandDefs"

--[[ =======================================================================

	Custom Unit Commands - Logic

	Receivers for custom unit command events are defined here. They handle
	EXECUTE_SCRIPT commands triggered in the replacement Unit Panel UI script.
-- =========================================================================]]

--	Initial State Data for units that use these commands


function ModCommand_AdvancedSleep(eOwner : number, iUnitID : number)
	local pPlayer = Players[eOwner];
	if (pPlayer == nil) then
		return;
	end

	local pUnit = pPlayer:GetUnits():FindID(iUnitID);
	if (pUnit == nil) then
		return;
	end

	local sLog = "Executing ADVANCED SLEEP Command for " .. pUnit:GetName();
	print(sLog);
end
GameEvents.ModCommand_AdvancedSleep.Add(ModCommand_AdvancedSleep)
